package com.logicbig.example;

import org.springframework.context.annotation.AnnotationConfigApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;
import org.springframework.core.env.ConfigurableEnvironment;

@Configuration
@PropertySource("classpath:app.properties")
@ComponentScan
public class UserPropertySourceExample {
    public static void main(String[] args) {
        new AnnotationConfigApplicationContext(UserPropertySourceExample.class);
    }
}