package com.logicbig.example;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.env.Environment;
import org.springframework.stereotype.Component;
import jakarta.annotation.PostConstruct;

@Component
public class MyBean {
    @Autowired
    private Environment environment;

    @PostConstruct
    public void postInit() {
        System.out.println("-- accessing system properties --");
        String tempDir = environment.getProperty("java.io.tmpdir");
        System.out.println("System tempDir: "+tempDir);
        System.out.println("-- accessing user properties --");
        String contactPerson = environment.getProperty("contact-person");
        System.out.println("contact-person: " + contactPerson);
    }
}